Use this API to perform a full or partial update on a rule that has been created in the Risk Sevice.
10 Minute Cache
Vigilance AI has a 10 minute cache for loading rules. This means that any rules that are updated may not come into effect for up to 10 minutes.
Resource URL
https://<subdomain>.onelogin.com/api/2/risk/rules/<id>Header Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameter
id required string | The ID of the rule to update. |
Request Parameters
id required string | The ID of the rule to update. |
Sample Request Body
{
"filters": ["123.123.123.123", "1.1.1.1"]
}Sample Response
- 200 OK
- 400 Bad Request
- 401 Unauthorized
{
"id": "132456789",
"name": "IP Blocklist for Guests",
"description": "Blocklist for guest account users",
"type": "blacklist",
"target": "location.ip",
"source": "guest-123",
"filters": ["123.123.123.123", "1.1.1.1"]
}No Content
No Content
Sample Code
cURL
curl -XPUT 'https://<subdomain>.onelogin.com/api/2/risk/rules/234677874491720987' \
-H 'Authorization: Bearer xxxxxxxxxxxxx'
-H "Content-Type: application/json" \
-d '{
"name": "updated rule name"
}'Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.